# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KEditListBox::CustomEditor Class Reference

Since:
  3.1

More...

`#include <keditlistbox.h>`

Collaboration diagram for KEditListBox::CustomEditor:

[legend]
List of all members.

## Public Member Functions

| CustomEditor (QWidget *repWidget, KLineEdit *edit)
| CustomEditor (KComboBox *combo)
void | setRepresentationWidget (QWidget *repWidget)
void | setLineEdit (KLineEdit *edit)
virtual QWidget * | representationWidget () const
virtual KLineEdit * | lineEdit () const

## Protected Attributes

QWidget * | m_representationWidget
KLineEdit * | m_lineEdit

## Detailed Description

Since:
  3.1

Definition at line 45 of file keditlistbox.h.

The documentation for this class was generated from the following files:

- keditlistbox.h
- keditlistbox.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001